
% figure overview
% -----------------
clear;
save_text   = 1;
save_mesh   = 1;
shapes      = {};
filename        = 'seaturtle1_2';    
folder          = './data/results/seaturtle1/';
k           = 48;
radius      = 1.2;
fixed       = [];

% scale: x4
% 0.026 x4 = 1.04 mm
fixed = [];

if 1 % 
    comment         = ['k' num2str(k) '_outer_spin_w1'];
    
    s1 = comp_combined_offsetSurface3d(filename,...
        'comment',      comment,...
        'approach',     2,...
        'costfun',      'spin',... % 'none' spin
        'radii',        [radius radius], ...%[0.07 0.07], ...%[ 0.9*0.0933, 0.9*0.0933 ], ... %kugeln:[ 0.0933, 0.0933 ] kugeln:[ 0.1841, 0.1841 ], bottle: [ 0.41, 0.41 ]
        'weights',      [ 1.0, 1.0, 1.0, 0.0, 1.0, 1e-2 ], ... %%'weights',      [ 1.0, 1.0, 0.0, 0.0, 1.0, 1e-2 ], ...
        'bounds',       [ 0.01 0.98, 0.01, 0.03 ], ... % inner min, inner max (%), outer min, outer max
        'constoffset',  [ 0.00, 0.00 ], ... % fixed offset added absolut on each surface respective
        'cutplaneso',   [ ], ...  % outer surface cut-planes
        'cutvalo',      [ 0.02, 0.02 ], ...   % cut values fuer die [lower,upper] cuts
        'cutplanesi',   [ ], ...           % inner surface cut-planes
        'cutvali',      [ 0.00, 0.01 ], ...   % cut values fuer die [lower,upper] cuts        
        'gradient',     'on', ...
        'max_bound',    'contraction', ... %'boundary'
        'basis_k',      k,...
        'rho',          [ 1.04, 0.0 ], ...
        'fixpointsi',   [ fixed ], ... 
        'fixvaluesi',   [ 0.03*ones(size(fixed)) ], ...        
        'fixpointso',   [ fixed ], ...        
        'fixvalueso',   [ 0.0*ones(size(fixed)) ], ...        
        'save_text',    save_text,...
        'save_mesh',    save_mesh,...
        'usenormals',   [0,0],...
        'folder',       folder);
    shapes{1} = s1;
    
       % 'fixvaluesi',   0.02*ones(size(fixed)), ...     
       % 'fixvalueso',   0.01*ones(size(fixed)), ...     
    
    figure(1), plot_shape3d( s1, 0 );
end
